## acm 6.0+20200416

=== Makefile ===
WORKING_DIR := $(shell pwd)
PROGNAME := acm
VER := 6.0
WEBDIR := /home/www.icosaedro.it/public_html/acm

BUILD := $(shell date +%Y%m%d)
VERSION := ${VER}_${BUILD}

DISTFILE := ${PROGNAME}-${VERSION}

all:
	# Really do all (but something does not builds yet):
	#find . -mindepth 2 -name Makefile \
	#    | while read m; do make -C $$(dirname $$m) all || exit 1; done
	#
	# Only do what we really care the most:
	make -C src all

clean:
	rm -rf build-doxygen-docs-errors.txt doc/doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) clean; done

strip:

.PHONY: rebuild
rebuild: clean
	find . -mindepth 1 -type d \
	| while read d; do \
		if [ -f $$d/Makefile ]; then \
			echo "$$d"; \
			(cd $$d; check-included && make-makefile); \
		fi \
	done
	make

# SUBROUTINE:
dist_make_package: clean
	echo ${VERSION} > VERSION.txt
	cd .. && \
		ln -sf ${WORKING_DIR} ${DISTFILE} && \
		tar --create --gzip \
			--owner=root --group=root \
		    --exclude="*CVS*" \
		    --exclude="*.cvsignore" \
		    --exclude="*nbproject*" \
			--dereference \
			${DISTFILE} \
			> /tmp/${DISTFILE}.tar.gz && \
		rm ${DISTFILE} && \
		echo "Package available in /tmp/${DISTFILE}.tar.gz"

distclean: clean

dist: dist_make_package

doxygen:
	tools/build-doxygen-docs.sh

upgrade:
	@echo ""
	@echo "ACM Upgrade Procedure"
	@echo "====================="
	@echo ""
	@echo "The version of this package is `cat VERSION.txt`. Check for new releases on:"
	@echo ""
	@echo "    http://www.icosaedro.it/acm/download.html"
	@echo ""

=== src/Makefile ===
all:
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) all || exit 1; done

clean:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) clean || exit 1; done

rebuild:
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) rebuild || exit 1; done

doc:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) doc || exit 1; done

=== tools/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	cd ./chart && make all
	cd ./faaairports && make all
	cd ./ourairports_com && make all
	make  create-ils.exe create-ufo-obv.exe

#include Makefile-include.txt

.PHONY: test
test: create-ils.exe create-ufo-obv.exe
	./create-ils.exe
	./create-ufo-obv.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump create-ils create-ufo-obv
	cd ./chart && make clean
	cd ./faaairports && make clean
	cd ./ourairports_com && make clean

create-ils.o: create-ils.c ../src/V/Vlibmath.h ../src/dis/dis/earth.h ../src/util/error.h ../src/util/memory.h ../src/util/reader.h ../src/util/units.h
	$(CC) $(CFLAGS) -c create-ils.c -o create-ils.o

create-ils.exe: ../src/V/Vlibmath.o ../src/dis/dis/earth.o ../src/util/error.o ../src/util/memory.o ../src/util/reader.o ../src/util/units.o create-ils.o
	$(CC) $(CFLAGS) -o create-ils.exe  ../src/V/Vlibmath.o ../src/dis/dis/earth.o ../src/util/error.o ../src/util/memory.o ../src/util/reader.o ../src/util/units.o create-ils.o $(LIBS) -lm 

create-ufo-obv.o: create-ufo-obv.c ../src/V/Vlibmath.h
	$(CC) $(CFLAGS) -c create-ufo-obv.c -o create-ufo-obv.o

create-ufo-obv.exe: ../src/V/Vlibmath.o create-ufo-obv.o
	$(CC) $(CFLAGS) -o create-ufo-obv.exe  ../src/V/Vlibmath.o create-ufo-obv.o $(LIBS) -lm 

# Checksum of the original file: 1491430480

=== src/V/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Alib.o VColor.o VGlyph.o VObjects.o VPoly.o VRoman.o Vlib.o Vlibmath.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

Alib.o: Alib.c Alib.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h VColor.h VPoly.h Vlibmath.h
	$(CC) $(CFLAGS) -c Alib.c -o Alib.o

VColor.o: VColor.c VColor.h ../util/error.h ../util/gui.h ../util/memory.h ../util/sparsearray.h
	$(CC) $(CFLAGS) -c VColor.c -o VColor.o

VGlyph.o: VGlyph.c VGlyph.h
	$(CC) $(CFLAGS) -c VGlyph.c -o VGlyph.o

VObjects.o: VObjects.c VObjects.h ../util/error.h ../util/memory.h ../util/units.h VColor.h VPoly.h Vlibmath.h
	$(CC) $(CFLAGS) -c VObjects.c -o VObjects.o

VPoly.o: VPoly.c VPoly.h ../util/error.h ../util/memory.h ../util/units.h VColor.h Vlibmath.h
	$(CC) $(CFLAGS) -c VPoly.c -o VPoly.o

VRoman.o: VRoman.c VRoman.h VGlyph.h
	$(CC) $(CFLAGS) -c VRoman.c -o VRoman.o

Vlib.o: Vlib.c Vlib.h ../util/gui.h ../util/memory.h ../util/units.h Alib.h VColor.h VGlyph.h VPoly.h VRoman.h Vlibmath.h
	$(CC) $(CFLAGS) -c Vlib.c -o Vlib.o

Vlibmath.o: Vlibmath.c Vlibmath.h
	$(CC) $(CFLAGS) -c Vlibmath.c -o Vlibmath.o

# Checksum of the original file: 4113147918

=== src/acm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  acm.exe adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o

include Makefile-include.txt

.PHONY: test
test: acm.exe
	./acm.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump acm

acm.o: acm.c ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/reader.h ../util/units.h ../util/varray.h air.h box.h damage.h dis_if.h drone.h effects.h gear.h init.h interpolate.h inventory.h joystick.h list.h m61a1.h manifest.h mouse.h patchlevel.h players.h pm.h render.h scale.h update.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c acm.c -o acm.o

acm.exe: ../V/Alib.o ../V/VColor.o ../V/VGlyph.o ../V/VObjects.o ../V/VPoly.o ../V/VRoman.o ../V/Vlib.o ../V/Vlibmath.o ../dis/dis/datum.o ../dis/dis/dis.o ../dis/dis/disx.o ../dis/dis/earth.o ../dis/dis/xdr.o ../dis/dis/xdr_dis.o ../util/audio.o ../util/error.o ../util/gui.o ../util/memory.o ../util/prng.o ../util/reader.o ../util/sparsearray.o ../util/timer.o ../util/units.o ../util/varray.o ../util/wav.o ../util/zulu.o ../wmm/Geomagnetism.o ../wmm/wmm.o acm.o adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o
	$(CC) $(CFLAGS) -o acm.exe  ../V/Alib.o ../V/VColor.o ../V/VGlyph.o ../V/VObjects.o ../V/VPoly.o ../V/VRoman.o ../V/Vlib.o ../V/Vlibmath.o ../dis/dis/datum.o ../dis/dis/dis.o ../dis/dis/disx.o ../dis/dis/earth.o ../dis/dis/xdr.o ../dis/dis/xdr_dis.o ../util/audio.o ../util/error.o ../util/gui.o ../util/memory.o ../util/prng.o ../util/reader.o ../util/sparsearray.o ../util/timer.o ../util/units.o ../util/varray.o ../util/wav.o ../util/zulu.o ../wmm/Geomagnetism.o ../wmm/wmm.o acm.o adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o $(LIBS) -lm 

adf.o: adf.c adf.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h navaid.h pm.h scale.h vpath.h vpath_gallery.h zone.h zones.h
	$(CC) $(CFLAGS) -c adf.c -o adf.o

aim120.o: aim120.c aim120.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h gear.h init.h interpolate.h inventory.h manifest.h missile.h pm.h scale.h sounds.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c aim120.c -o aim120.o

aim9m.o: aim9m.c aim9m.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h gear.h init.h interpolate.h inventory.h manifest.h missile.h pm.h scale.h sounds.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c aim9m.c -o aim9m.o

air.o: air.c air.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/prng.h ../util/units.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c air.c -o air.o

alarm.o: alarm.c alarm.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c alarm.c -o alarm.o

aps.o: aps.c aps.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h flaps.h gear.h hsi.h interpolate.h inventory.h manifest.h pm.h scale.h terrain.h zone.h zones.h
	$(CC) $(CFLAGS) -c aps.c -o aps.o

astro.o: astro.c astro.h ../V/Vlibmath.h ../util/error.h ../util/memory.h ../util/zulu.h
	$(CC) $(CFLAGS) -c astro.c -o astro.o

box.o: box.c box.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h planes.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c box.c -o box.o

browse.o: browse.c browse.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/gui.h ../util/units.h ../util/varray.h air.h box.h damage.h dis_if.h drone.h interpolate.h inventory.h joystick.h manifest.h pm.h render.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c browse.c -o browse.o

ccip.o: ccip.c ccip.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h ../util/varray.h air.h damage.h dis_if.h draw.h effects.h gear.h init.h interpolate.h inventory.h manifest.h pm.h scale.h terrain.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c ccip.c -o ccip.o

commands.o: commands.c commands.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/units.h air.h interpolate.h inventory.h list.h manifest.h players.h pm.h scale.h terminal.h zone.h zones.h
	$(CC) $(CFLAGS) -c commands.c -o commands.o

damage.o: damage.c damage.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/prng.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h sounds.h zone.h zones.h
	$(CC) $(CFLAGS) -c damage.c -o damage.o

dis_if.o: dis_if.c dis_if.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/datum.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h ../util/varray.h air.h interpolate.h inventory.h manifest.h pm.h scale.h update.h zone.h zones.h
	$(CC) $(CFLAGS) -c dis_if.c -o dis_if.o

draw.o: draw.c draw.h ../V/Alib.h ../V/VColor.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../util/gui.h ../util/memory.h ../util/units.h
	$(CC) $(CFLAGS) -c draw.c -o draw.o

drone.o: drone.c drone.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h ../util/varray.h air.h alarm.h aps.h browse.h dis_if.h flaps.h gear.h interpolate.h inventory.h list.h manifest.h players.h pm.h prompt.h radar.h scale.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c drone.c -o drone.o

effects.o: effects.c effects.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c effects.c -o effects.o

events.o: events.c events.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/units.h ../util/varray.h adf.h air.h aps.h box.h browse.h commands.h dis_if.h drone.h flaps.h gear.h hsi.h hud.h instruments.h interpolate.h inventory.h joystick.h manifest.h mouse.h pm.h prompt.h radar.h render.h scale.h sounds.h terminal.h weapon.h windows.h zone.h zones.h
	$(CC) $(CFLAGS) -c events.c -o events.o

flaps.o: flaps.c flaps.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/units.h air.h damage.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c flaps.c -o flaps.o

gear.o: gear.c gear.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h air.h damage.h interpolate.h inventory.h manifest.h pm.h prompt.h scale.h sounds.h terrain.h zone.h zones.h
	$(CC) $(CFLAGS) -c gear.c -o gear.o

hsi.o: hsi.c hsi.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h navaid.h pm.h scale.h vpath.h vpath_gallery.h zone.h zones.h
	$(CC) $(CFLAGS) -c hsi.c -o hsi.o

hud.o: hud.c hud.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h aps.h damage.h draw.h interpolate.h inventory.h m61a1.h manifest.h pm.h scale.h vpath.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c hud.c -o hud.o

init.o: init.c init.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h ../util/varray.h ../util/zulu.h ../wmm/wmm.h air.h alarm.h astro.h dis_if.h interpolate.h inventory.h manifest.h planes.h pm.h scale.h vpath.h vpath_gallery.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c init.c -o init.o

instruments.o: instruments.c instruments.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h aps.h draw.h interpolate.h inventory.h manifest.h pm.h scale.h vpath.h zone.h zones.h
	$(CC) $(CFLAGS) -c instruments.c -o instruments.o

interpolate.o: interpolate.c interpolate.h ../util/error.h ../util/memory.h
	$(CC) $(CFLAGS) -c interpolate.c -o interpolate.o

inventory.o: inventory.c inventory.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/reader.h ../util/units.h air.h init.h interpolate.h manifest.h planes.h pm.h scale.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c inventory.c -o inventory.o

joystick.o: joystick.c joystick.h
	$(CC) $(CFLAGS) -c joystick.c -o joystick.o

list.o: list.c list.h ../util/memory.h
	$(CC) $(CFLAGS) -c list.c -o list.o

=== src/dis/Makefile ===
all:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) all || exit 1; done

clean:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) clean || exit 1; done

rebuild:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) rebuild || exit 1; done

=== src/gedit/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  CrExFormDlg.o VReadObject.o VWriteObject.o actions.o balance.o cell.o circle.o dialog.o edit.o gedit.exe gutil.o gutil1.o io.o shared.o

include Makefile-include.txt

.PHONY: test
test: gedit.exe
	./gedit.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump gedit

CrExFormDlg.o: CrExFormDlg.c CrExFormDlg.h ../V/Vlibmath.h shared.h
	$(CC) $(CFLAGS) -c CrExFormDlg.c -o CrExFormDlg.o

VReadObject.o: VReadObject.c VReadObject.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/memory.h ../util/units.h
	$(CC) $(CFLAGS) -c VReadObject.c -o VReadObject.o

VWriteObject.o: VWriteObject.c VWriteObject.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/error.h ../util/units.h shared.h
	$(CC) $(CFLAGS) -c VWriteObject.c -o VWriteObject.o

actions.o: actions.c actions.h ../V/Vlibmath.h circle.h edit.h gutil.h shared.h
	$(CC) $(CFLAGS) -c actions.c -o actions.o

balance.o: balance.c balance.h ../V/Vlibmath.h
	$(CC) $(CFLAGS) -c balance.c -o balance.o

cell.o: cell.c cell.h ../V/Vlibmath.h shared.h
	$(CC) $(CFLAGS) -c cell.c -o cell.o

circle.o: circle.c circle.h ../V/Vlibmath.h edit.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c circle.c -o circle.o

dialog.o: dialog.c dialog.h ../V/Vlibmath.h CrExFormDlg.h cell.h shared.h
	$(CC) $(CFLAGS) -c dialog.c -o dialog.o

edit.o: edit.c edit.h ../V/Vlibmath.h ../util/memory.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c edit.c -o edit.o

gedit.o: gedit.c ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/memory.h ../util/units.h CrExFormDlg.h VReadObject.h VWriteObject.h actions.h dialog.h gutil1.h io.h shared.h
	$(CC) $(CFLAGS) -c gedit.c -o gedit.o

gedit.exe: ../V/VColor.o ../V/VObjects.o ../V/VPoly.o ../V/Vlibmath.o ../util/error.o ../util/gui.o ../util/memory.o ../util/sparsearray.o ../util/units.o CrExFormDlg.o VReadObject.o VWriteObject.o actions.o cell.o circle.o dialog.o edit.o gedit.o gutil.o gutil1.o io.o shared.o
	$(CC) $(CFLAGS) -o gedit.exe  ../V/VColor.o ../V/VObjects.o ../V/VPoly.o ../V/Vlibmath.o ../util/error.o ../util/gui.o ../util/memory.o ../util/sparsearray.o ../util/units.o CrExFormDlg.o VReadObject.o VWriteObject.o actions.o cell.o circle.o dialog.o edit.o gedit.o gutil.o gutil1.o io.o shared.o $(LIBS) -lX11 -lXm -lXt -lm 

gutil.o: gutil.c gutil.h ../V/Vlibmath.h ../util/memory.h edit.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c gutil.c -o gutil.o

gutil1.o: gutil1.c gutil1.h ../V/Vlibmath.h edit.h shared.h
	$(CC) $(CFLAGS) -c gutil1.c -o gutil1.o

io.o: io.c io.h ../V/Vlibmath.h ../util/memory.h dialog.h edit.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c io.c -o io.o

shared.o: shared.c shared.h ../V/Vlibmath.h dialog.h edit.h gutil.h gutil1.h io.h
	$(CC) $(CFLAGS) -c shared.c -o shared.o

# Checksum of the original file: 1198779506

=== src/util/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  audio.o error.o gui.o hashtable.o memory.o prng.o reader.o sparsearray.o timer.o units.o varray.o wav.o zulu.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

audio.o: audio.c audio.h error.h memory.h wav.h
	$(CC) $(CFLAGS) -c audio.c -o audio.o

error.o: error.c error.h
	$(CC) $(CFLAGS) -c error.c -o error.o

gui.o: gui.c gui.h ../util/error.h ../util/memory.h
	$(CC) $(CFLAGS) -c gui.c -o gui.o

hashtable.o: hashtable.c hashtable.h memory.h
	$(CC) $(CFLAGS) -c hashtable.c -o hashtable.o

memory.o: memory.c memory.h error.h
	$(CC) $(CFLAGS) -c memory.c -o memory.o

prng.o: prng.c prng.h
	$(CC) $(CFLAGS) -c prng.c -o prng.o

reader.o: reader.c reader.h memory.h
	$(CC) $(CFLAGS) -c reader.c -o reader.o

sparsearray.o: sparsearray.c sparsearray.h memory.h
	$(CC) $(CFLAGS) -c sparsearray.c -o sparsearray.o

timer.o: timer.c timer.h error.h memory.h
	$(CC) $(CFLAGS) -c timer.c -o timer.o

units.o: units.c units.h
	$(CC) $(CFLAGS) -c units.c -o units.o

varray.o: varray.c varray.h error.h memory.h
	$(CC) $(CFLAGS) -c varray.c -o varray.o

wav.o: wav.c wav.h error.h memory.h
	$(CC) $(CFLAGS) -c wav.c -o wav.o

zulu.o: zulu.c zulu.h error.h
	$(CC) $(CFLAGS) -c zulu.c -o zulu.o

# Checksum of the original file: 4151888144

=== src/wmm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Geomagnetism.o wmm.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

Geomagnetism.o: Geomagnetism.c Geomagnetism.h
	$(CC) $(CFLAGS) -c Geomagnetism.c -o Geomagnetism.o

wmm.o: wmm.c wmm.h ../util/error.h ../util/units.h ../util/zulu.h Geomagnetism.h
	$(CC) $(CFLAGS) -c wmm.c -o wmm.o

# Checksum of the original file: 2847787348

=== test/V/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Vlibmath-test.exe animate.exe app.exe

#include Makefile-include.txt

.PHONY: test
test: Vlibmath-test.exe animate.exe app.exe
	./Vlibmath-test.exe
	./animate.exe
	./app.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump Vlibmath-test animate app

Vlibmath-test.o: Vlibmath-test.c ../../src/V/Vlibmath.h
	$(CC) $(CFLAGS) -c Vlibmath-test.c -o Vlibmath-test.o

Vlibmath-test.exe: ../../src/V/Vlibmath.o Vlibmath-test.o
	$(CC) $(CFLAGS) -o Vlibmath-test.exe  ../../src/V/Vlibmath.o Vlibmath-test.o $(LIBS) -lm 

animate.o: animate.c
	$(CC) $(CFLAGS) -c animate.c -o animate.o

animate.exe: animate.o
	$(CC) $(CFLAGS) -o animate.exe  animate.o $(LIBS) 

app.o: app.c ../../src/V/Alib.h ../../src/V/VColor.h ../../src/V/VPoly.h ../../src/V/Vlib.h ../../src/V/Vlibmath.h ../../src/util/gui.h ../../src/util/units.h
	$(CC) $(CFLAGS) -c app.c -o app.o

app.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/sparsearray.o ../../src/util/units.o app.o
	$(CC) $(CFLAGS) -o app.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/sparsearray.o ../../src/util/units.o app.o $(LIBS) -lm 

# Checksum of the original file: 2997635812

=== test/acm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  astro-test.exe dis_if-test.exe zones-test.exe

include Makefile-include.txt

.PHONY: test
test: astro-test.exe dis_if-test.exe zones-test.exe
	./astro-test.exe
	./dis_if-test.exe
	./zones-test.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump astro-test dis_if-test zones-test

astro-test.o: astro-test.c ../../src/V/Vlibmath.h ../../src/acm/astro.h ../../src/dis/dis/earth.h ../../src/util/units.h ../../src/util/zulu.h
	$(CC) $(CFLAGS) -c astro-test.c -o astro-test.o

astro-test.exe: ../../src/V/Vlibmath.o ../../src/acm/astro.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o astro-test.o
	$(CC) $(CFLAGS) -o astro-test.exe  ../../src/V/Vlibmath.o ../../src/acm/astro.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o astro-test.o $(LIBS) -lm 

dis_if-test.o: dis_if-test.c ../../src/V/Alib.h ../../src/V/VColor.h ../../src/V/VObjects.h ../../src/V/VPoly.h ../../src/V/Vlib.h ../../src/V/Vlibmath.h ../../src/acm/air.h ../../src/acm/dis_if.h ../../src/acm/interpolate.h ../../src/acm/inventory.h ../../src/acm/manifest.h ../../src/acm/pm.h ../../src/acm/scale.h ../../src/acm/zone.h ../../src/acm/zones.h ../../src/dis/dis/dis.h ../../src/dis/dis/disx.h ../../src/dis/dis/earth.h ../../src/util/gui.h ../../src/util/units.h ../../src/util/varray.h
	$(CC) $(CFLAGS) -c dis_if-test.c -o dis_if-test.o

dis_if-test.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o dis_if-test.o
	$(CC) $(CFLAGS) -o dis_if-test.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o dis_if-test.o $(LIBS) -lm 

zones-test.o: zones-test.c ../../src/V/Vlibmath.h ../../src/acm/zones.h ../../src/dis/dis/earth.h ../../src/util/memory.h ../../src/util/units.h
	$(CC) $(CFLAGS) -c zones-test.c -o zones-test.o

zones-test.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o zones-test.o
	$(CC) $(CFLAGS) -o zones-test.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o zones-test.o $(LIBS) -lm 

# Checksum of the original file: 2035087630

=== test/dis/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	cd ./dis && make all

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump
	cd ./dis && make clean

# Checksum of the original file: 2754672170

=== debian/changelog ===
acm (6.0+20200416-1) unstable; urgency=medium

  * Switch to new upstream source,
    http://www.icosaedro.it/acm/download.html.  (Closes: #362023)
    Also does not exhibit some "black screen" behaviour from the
    previous version.  (Closes: #765815)
  * Take opportunity to switch to source format 3 / quilt.
  * Patch inventory.c for format errors.  Using changes suggested by
    upstream, thank you!  (fix_inventory.patch)
  * Fix enum so that acm builds. (fix_mouse_stick_mode_enum.patch)
  * Set directories for Debian filesystem (set_default_object_dir.patch
    and fix_paths_in_acm_tcl.patch)
  * Revise build-depends for substantially revised upstream code.
  * Add some hardening (hardening1.patch).

 -- Phil Brooke <pjb@debian.org>  Tue, 17 Nov 2020 11:52:56 +0000

acm (5.0-30) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  Due to variable hasFired in aim120.c that
    should be static.  (Closes: 956978)
  * Add <string.h> to radar.c.
  * Bump standards-version to 4.5.0.

 -- Phil Brooke <pjb@debian.org>  Wed, 19 Aug 2020 11:45:47 +0100

acm (5.0-29.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libgdbm-compat-dev and fix the FTBFS with newer gdbm
    versions. (Closes: #889530)
  * wrap-and-sort -sa.
  * Switch to compat level 11 (was 6).
  * d/rules: Use the correct dpkg buildflag variable CFLAGS instead of
    DEBCFLAGS. This will also ensure that the -dbgsym package is created
    correctly.
  * Fix error "format-not-a-string-literal".

 -- Markus Koschany <apo@debian.org>  Wed, 18 Apr 2018 03:18:08 +0200

acm (5.0-29.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Type of arg 1 to dbmclose must be hash (not constant
    item) at ./create-tables-5 (perl 5.22?)":
    Use dbmclose with a hash argument.
    And close the correct file handles as well.
    (Closes: #808489)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Dec 2015 19:30:49 +0100

acm (5.0-29) unstable; urgency=medium

  * Fix FTBFS with clang as suggested by Arthur Marble.
    Fixed the non-void function should return a value in
      dis/test/disscope.c
      src/splash.c
    Thanks, Arthur (closes: 740019).
  * Desktop integration of games (closes: 737788):
     * Added a desktop file (acm.desktop).
     * Desktop icons added (acm*.png).
     * Menu icon added (acm.xpm).
  * Bump standards-version to 3.9.6.
  * Added source/format 1.0.
  * Added build-depends on sharutils to uudecode the PNG icons.
  * Added acm.dirs as a result of changes above.
  * Import buildflags.mk.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 11:31:30 +0100

acm (5.0-28) unstable; urgency=low

  * Merging revised description from 5.0-27ubuntu2 (closes: 588894).
    Thanks, Sam L.
  * Fix synposis.
  * Bump standards-version to 3.9.2.
  * Update debian/rules for recommended build targets and replace dh_clean
    -k with dh_prep.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 10:59:30 +0000

acm (5.0-27) unstable; urgency=low

  * Fix FTBFS on hurd-i386:
      * Don't set SVR4 flag in configure (don't want filio.h).
      * Add libelfg0-dev as build-depends for hurd-i386.
      * Fix path in dis/lib/sitename.c.
      * Fix use of perror &c. in dis/sdbm/util.c.

 -- Phil Brooke <pjb@debian.org>  Sat, 13 Feb 2010 17:07:26 +0000

acm (5.0-26) unstable; urgency=low

  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Fix interpolate.h for FTBFS.
  * Removed use of libXt and libnsl.

 -- Phil Brooke <pjb@debian.org>  Sun, 07 Feb 2010 16:47:08 +0000

acm (5.0-25) unstable; urgency=low

  * Update to standards-version 3.8.2.
  * Replaced build-dependency on x-dev with x11proto-core-dev
    (closes: #515356).
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Now refer to GPL-2 common licence, not the GPL.
  * Adjust copyright notice in debian/copyright to add dates.

 -- Phil Brooke <pjb@debian.org>  Tue, 23 Jun 2009 18:01:46 +0100

acm (5.0-24) unstable; urgency=low

  * Acknowledge NMU -23.1 -- thanks.
  * Update to standards-version 3.7.3:
      * Changed section in menu.
  * Removed DH_COMPAT line from rules, replaced with debian/compat.
  * No longer ignore make distclean errors in rules.

 -- Phil Brooke <pjb@debian.org>  Thu, 20 Dec 2007 20:56:21 +0000

acm (5.0-23.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix several initialization bugs that can trigger crashes on some
    architectures.  Closes: #413174.

 -- Steve Langasek <vorlon@debian.org>  Tue,  6 Mar 2007 18:05:34 -0800

acm (5.0-23) unstable; urgency=low

  * Applied patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD
    (closes: #378217).

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 21:51:23 +0000

acm (5.0-22) unstable; urgency=low

  * Applied patch from Mohammed Adnène Trojette:
      * Correct copyright file to show original source (closes: #372495).
      * Bump standards-version to 3.7.2 (no changes needed).
  * Added PostScript version of acmdoc.rtf (HTML conversion lost images)
    (closes: #372496).

 -- Phil Brooke <pjb@debian.org>  Sat, 10 Jun 2006 14:01:11 +0100

acm (5.0-21) unstable; urgency=low

  * Replaced xlibs-dev with libx11-dev, libxext-dev, libxt-dev, x-dev.
  * Bumped DH_COMPAT to 4.

 -- Phil Brooke <pjb@debian.org>  Wed,  4 Jan 2006 16:17:12 +0000

acm (5.0-20) unstable; urgency=low

  * Added menu hints as suggested by Clarence Risher (closes: #311036).
  * Bumped standards-version to 3.6.2.
  * Updated FSF postal address in copyright file.
  * prerm now uses /bin/bash not /bin/sh.
  * Added dummy time/date stamp to changelog entry for 4.7-1.

 -- Phil Brooke <pjb@debian.org>  Sun, 11 Sep 2005 15:17:18 +0100

acm (5.0-19) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix dis/sdbm/util.c so that
    acm builds with amd64/gcc-3.4 (Closes: #280272).

 -- Phil Brooke <pjb@debian.org>  Thu, 11 Nov 2004 18:50:05 +0000

acm (5.0-18) unstable; urgency=low



=== debian/control ===
Source: acm
Section: games
Priority: optional
Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends: debhelper-compat (= 13), libasound2-dev, libx11-dev, libmotif-dev, sharutils
Standards-Version: 4.5.0
Homepage: http://www.icosaedro.it/acm/download.html

Package: acm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk
Description: Multi-player classic aerial combat simulation
 A multiplayer aerial combat simulation. Players engage in air to air
 combat against one another using heat seeking missiles and cannons.
 .
 Main features include:
  * Simulation with 6 degrees of freedom.
  * Structural limit to the vertical positive/negative load.
  * Classic instruments, navigation and head-up display (HUD).
  * Several aircraft models implemented, both civil and military.
  * Two scenes provided, with many runways and radio stations.
 .
 acm runs under the X window system.  This version of acm is
 implemented as a distributed simulation.  It communicates information
 via the IEEE Distributed Interactive Simulation protocol.
 .
 The original version of acm was written by Riley Rainey.  This is
 Umberto Salsi's updated version.
